API

List billing products for item family scoped to a company

Lists billing products for a given Chargebee item family. Each product's price_variants array is filtered to entries matching the specified company's currency and country, falling back to USD when no company-currency variant exists. Multiple variants for the same currency/country (e.g. monthly and yearly billing periods) are all returned.

GET/v1/hq/companies/{company_id}/billing/products/{item_family_id}

Authorization

BearerTokenAuth

AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

company_id*string

The company ID the pricing is scoped to

item_family_id*string

The Chargebee item family ID

Response Body

application/json

curl -X GET "https://api.noona.is/v1/hq/companies/string/billing/products/string"
[
  {
    "id": "string",
    "name": "string",
    "external_name": "string",
    "description": "string",
    "price_variants": [
      {
        "id": "string",
        "price_variant_id": "string",
        "name": "string",
        "external_name": "string",
        "pricing_model": "flat_fee",
        "price": 0,
        "currency_code": "string",
        "period": 0,
        "period_unit": "string",
        "tiers": [
          {
            "starting_unit": 0,
            "ending_unit": 0,
            "price": 0
          }
        ]
      }
    ],
    "entitlements": [
      {
        "feature_id": "seats",
        "feature_name": "string",
        "feature_type": "switch",
        "plan_id": "string",
        "bool_value": true,
        "int_value": 0,
        "string_value": "string",
        "is_enabled": true,
        "is_overridden": true
      }
    ]
  }
]
Empty
Empty
Empty
Empty